## python-confection 0.0.4

=== requirements.txt ===
pydantic>=1.7.4,!=1.8,!=1.8.1,<1.11.0
typing_extensions>=3.7.4.1,<4.5.0; python_version < "3.8"
srsly>=2.4.0,<3.0.0
# Development requirements
pathy>=0.3.5
pytest>=5.2.0,!=7.1.0
mypy>=0.980,<0.990; platform_machine != 'aarch64' and python_version >= '3.7'
types-dataclasses>=0.1.3; python_version < '3.7'
numpy>=1.15.0

=== debian/changelog ===
python-confection (0.0.4-2) unstable; urgency=medium

  * Fix numpy dependency

 -- Andreas Tille <tille@debian.org>  Wed, 08 Feb 2023 09:00:13 +0100

python-confection (0.0.4-1) unstable; urgency=medium

  * Initial release (Closes: #1030729)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Feb 2023 22:43:55 +0100

=== debian/control ===
Source: python-confection
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
               python3-pytest <!nocheck>,
               python3-numpy,
               python3-pydantic <!nocheck>,
               python3-srsly <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-confection
Vcs-Git: https://salsa.debian.org/python-team/packages/python-confection.git
Homepage: https://github.com/explosion/confection
Rules-Requires-Root: no

Package: python3-confection
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: sweetest config system for Python3
 Confection candy is a lightweight library that offers a configuration
 system letting you conveniently describe arbitrary trees of objects.
 .
 Configuration is a huge challenge for machine-learning code because you
 may want to expose almost any detail of any function as a
 hyperparameter. The setting you want to expose might be arbitrarily far
 down in your call stack, so it might need to pass all the way through
 the CLI or REST API, through any number of intermediate functions,
 affecting the interface of everything along the way. And then once those
 settings are added, they become hard to remove later. Default values
 also become hard to change without breaking backwards compatibility.
 .
 To solve this problem, confection offers a config system that lets you
 easily describe arbitrary trees of objects. The objects can be created
 via function calls you register using a simple decorator syntax. You can
 even version the functions you create, allowing you to make improvements
 without breaking backwards compatibility. The most similar config system
 we’re aware of is Gin, which uses a similar syntax, and also allows you
 to link the configuration system to functions in your code using a
 decorator. confection's config system is simpler and emphasizes a
 different workflow via a subset of Gin’s functionality.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=confection

%:
	dh $@ --with python3,numpy3 --buildsystem=pybuild

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/explosion/confection/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-confection 0.1.5

=== requirements.txt ===
pydantic>=1.7.4,!=1.8,!=1.8.1,<3.0.0
typing_extensions>=3.7.4.1,<5.0.0; python_version < "3.8"
srsly>=2.4.0,<3.0.0
# Development requirements
catalogue>=2.0.3,<2.1.0
pathy>=0.3.5
pytest>=5.2.0,!=7.1.0
mypy>=1.7.0,<1.8.0; platform_machine != 'aarch64' and python_version >= '3.8'
types-dataclasses>=0.1.3; python_version < '3.7'
numpy>=1.15.0
black>=22.0,<23.0
flake8>=3.8.0,<6.0.0
isort>=5.0,<6.0

=== debian/changelog ===
python-confection (0.1.5-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.1.5
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Thu, 01 Aug 2024 07:42:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export PYBUILD_NAME=confection
 
 %:
-	dh $@ --with python3,numpy3 --buildsystem=pybuild
+	dh $@ --with numpy3 --buildsystem=pybuild

## python-confection 1.0.0~dev0

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-pydantic>=1.7.4,!=1.8,!=1.8.1,<3.0.0
+pydantic>=2.0,<3.0
 typing_extensions>=3.7.4.1,<5.0.0; python_version < "3.8"
 srsly>=2.4.0,<3.0.0
 # Development requirements

=== debian/changelog ===
python-confection (1.0.0~dev0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable along with python-srsly.

 -- Stuart Prescott <stuart@debian.org>  Thu, 11 Dec 2025 17:43:04 +1100

python-confection (1.0.0~dev0-1) experimental; urgency=medium

  * Team upload
  * New upstream pre-release version for Python 3.14 compatibility.
  * Update Standards-Version to 4.7.2 (no changes required).
  * Enable upstream tests in autopkgtest tests.

 -- Stuart Prescott <stuart@debian.org>  Tue, 09 Dec 2025 12:43:14 +1100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -12,8 +12,8 @@
                python3-pytest <!nocheck>,
                python3-numpy,
                python3-pydantic <!nocheck>,
-               python3-srsly <!nocheck>
-Standards-Version: 4.6.2
+               python3-srsly (>= 2.5.2-1~) <!nocheck>,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-confection
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-confection.git
 Homepage: https://github.com/explosion/confection

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=confection
export PYBUILD_TEST_ARGS=tests

%:
	dh $@ --buildsystem=pybuild
